As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 307934 - regression: In RTL text, can't move caret using arrow keys past point where text wraps
: regression: In RTL text, can't move caret using arrow keys past point where t...
Status: RESOLVED FIXED
: fixed1.8, regression, rtl
Product: Core
Classification: Components
Component: Layout: Text (show other bugs)
: 1.8 Branch
: All All
: -- major (vote)
: mozilla1.8beta5
Assigned To: Uri Bernstein (Google)
:
:
Mentors:
https://bugzilla.mozilla.org/attachme...
Depends on:
Blocks: 305083
  Show dependency treegraph
 
Reported: 2005-09-10 13:32 PDT by Uri Bernstein (Google)
Modified: 2008-07-31 02:43 PDT (History)
7 users (show)
dbaron: blocking1.8b5+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (3.45 KB, patch)
2005-09-11 01:27 PDT, Uri Bernstein (Google)
eyalroz: review+
roc: superreview+
mtschrep: approval1.8b5+
Details | Diff | Splinter Review

Description User image Uri Bernstein (Google) 2005-09-10 13:32:24 PDT
In an RTL textarea where a line wraps to the next line (e.g. the upper textarea
in https://bugzilla.mozilla.org/attachment.cgi?id=128682), the caret is stuck
when you try to use left-arrow to move beyond the wrapping point (i.e. from the
first line to the second one). The same happens when you try to use right-arrow
to go back from the second line to the first one.

This regressed due to the patch for bug 305083, and is now both on the trunk and
on the 1.8 branch.

Needless to say, this is very major, and must be fixed for beta 2.
Comment 1 User image Uri Bernstein (Google) 2005-09-11 01:27:37 PDT
Created attachment 195610 [details] [diff] [review]
patch

Only "unflip" the hint when we know the inner call might want to flip it
itself.

I actually explained why this is necessary back in bug 207186 comment #28
(describing this regression if it's not done), but then forgot about it when
reviewing the patch  for bug 305083.
Comment 2 User image Eyal Rozenberg 2005-09-12 10:19:50 PDT
Comment on attachment 195610 [details] [diff] [review]
patch

I'll take your word for it, I can't really do any serious reviewing. 

It would of course be more easy to understand if every mAmount could accept the
original unmodified mPreferLeft and change it according to whatever logic it
employs, but the whole thing can't be made simple and understandable anyway, so
let it be as the patch suggests.

Sorry for not having caught this either.
Comment 3 User image Robert O'Callahan (:roc) (email my personal email if necessary) 2005-09-17 21:27:49 PDT
Comment on attachment 195610 [details] [diff] [review]
patch

rubber-stamp.

This code has to be rewritten on trunk.
Comment 4 User image Mano (::mano, needinfo? for any questions; not reading general bugmail) 2005-09-18 07:29:30 PDT
Checking in nsTextFrame.cpp;
/cvsroot/mozilla/layout/generic/nsTextFrame.cpp,v  <--  nsTextFrame.cpp
new revision: 1.525; previous revision: 1.524
done
Comment 5 User image Mano (::mano, needinfo? for any questions; not reading general bugmail) 2005-09-19 17:02:39 PDT
1.8 Branch:
Checking in nsTextFrame.cpp;
/cvsroot/mozilla/layout/generic/nsTextFrame.cpp,v  <--  nsTextFrame.cpp
new revision: 1.513.4.5; previous revision: 1.513.4.4
done
Comment 6 User image :Ehsan Akhgari 2008-04-07 13:56:52 PDT
Mass-assigning the new rtl keyword to RTL-related (see bug 349193).

Note You need to log in before you can comment on or make changes to this bug.